Системные требования

Операционная система и сопутствующее программное обеспечение

Wialon Local представляет собой поставляемое в виде ISO-образа комплексное решение, которое включает в себя:

  • базовую операционную систему Debian GNU/Linux 9 («Stretch») в виде образа netinstall (недостающие файлы устанавливаются из сетевых хранилищ пакетов);
  • дополнительное ПО, предназначенное для корректного функционирования сервера (nginx, postfix, ntp, openssh, iptables, fail2ban и некоторые другие);
  • Wialon Local и его компоненты.

Для некоторых компонентов ОС, драйверов для оборудования, сопутствующего ПО, а также модулей самогó Wialon Local серверу необходим доступ к сети на время процесса установки.

Не рекомендуется установка программных пакетов кроме тех, которые необходимы для надлежащей работы Wialon Local.

Требования к серверу

Установка и работа Wialon Local возможна исключительно на 64-разрядной операционной системе.

Ниже приведены минимальные требования к серверу при условии хранения на нем данных сроком два года. Эти требования рассчитаны на основе типовых задач, решаемых серверами и их конфигурацией.

Для сервера до 100 объектов мониторинга:

  1. CPU: Core i7;
  2. RAM: 16 GB (только Wialon);
  3. HD: программный RAID1 от 250 GB;
  4. Исходящая (от сервера) ширина канала интернет: от 25 Mbit/s.

Для сервера до 4000 объектов мониторинга с собственным WebGIS:

  1. CPU: Xeon E31230 и выше;
  2. RAM: от 64 GB (Wialon + карты);
  3. HD: программный RAID10, 4×2 TB и более;
  4. Исходящая (от сервера) ширина канала интернет: от 50 Mbit/s.

Для сервера до 10 тысяч объектов мониторинга (максимальное доступное количество объектов на одном дистрибутиве):

  1. CPU: 2 современных Xeon'а;
  2. RAM: от 128 GB;
  3. HD: программный RAID10, 8×2 TB и более;
  4. Исходящая (от сервера) ширина канала интернет: от 100 Mbit/s.

:!: В некоторых случаях установка может быть недоступна в автоматическом режиме.

Следует понимать, что перечисленные выше требования являются ориентировочными и выбор оборудования, на которое будет установлен Wialon Local, в каждом случае индивидуален и должен, в первую очередь, учитывать объем информации, с которым вы планируете работать.

Обновление Node.js

Для корректного функционирования Wialon Local версии 1704 и выше, необходим пакет Node.js 6.x. Поддержка старых версий Node.js, начиная с релиза 1804, прекращена.

Официальные репозитории Debian 8 и Debian 9 включают в себя пакеты более ранних версий. При установке из нашего дистрибутива Node.js необходимой версии устанавливается автоматически.

Если вы получили уведомление о том, что версия Node.js, используемая на вашем сервере, устарела, вы можете обновить ее вручную.

Для этого войдите в терминал от имени главного пользователя (root) и выполните следующие команды:

cd /home/wialon/wlocal/
service wlocal stop
./adf_script stop
apt-get install -y curl
curl -sL https://deb.nodesource.com/setup_6.x | sudo bash -
apt-get install -y nodejs
npm -g install forever
npm install
chown -R wialon:wialon /home/wialon/
service wlocal restart

Проверьте доступность ваших сайтов после их перезапуска. Для обновления Node.js вы можете также обратиться в службу технической поддержки. В этом случае укажите в письме данные для доступа в консоль сервера — SSH (IP, логин и пароль).

Инструкция также расположена на официальном сайте разработчика Node.js.

:!: Установка обновления с версии 1704 на 1804 невозможна без обновления Node.js.

Follow us on Facebook Gurtam Wialon Twitter Gurtam Wialon info@gurtam.com   |   Copyright © 2002-2019 Gurtam